POST/schedule

Create Schedule

Implementation Notes

This endpoint allows you to create custom schedules for executing rate shops at specified dates and times.
POST/schedule

Parameter Details

NameInTypeRequiredDescription
bodybodyOptionalnone
» schedulenamebodystringOptionalnone
» rateshopidbodynumberOptionalnone
» yearbodystringOptionalnone
» monthbodystringOptionalnone
» dowbodystringOptionalnone
» daybodystringOptionalnone
» hourbodystringOptionalnone
» minutebodystringOptionalnone
» secondsbodystringOptionalnone
» statusbodynumberOptionalnone
» startdatebodystring(date)Optionalnone
» enddatebodystring(date)Optionalnone

Responses

StatusMeaningDescriptionSchema
200OKSuccessNone
400Bad RequestBad RequestNone
401UnauthorizedAuthentication Failed or Account validity expiredNone
500Internal Server ErrorInternal server errorNone

Example Request

# You can also use wget
curl -X POST /schedule \
  -H 'Content-Type: application/json' \
  -H 'Accept: application/json' \
  -H 'Authorization: Bearer {access-token}'

Example responses

200 Response
{
  "scheduleid": 0,
  "schedulename": "string",
  "rateshopid": 0,
  "year": "string",
  "month": "string",
  "dow": "string",
  "day": "string",
  "hour": "string",
  "minute": "string",
  "seconds": "string",
  "status": 0,
  "startdate": "2019-08-24",
  "enddate": "2019-08-24"
}

Need Support?

Our team is here to help you integrate and make the most of our APIs. Get in touch for technical support, custom solutions, or any questions.